@import "colors";

:host {
  width: 100%;
}

.button {
  border: none;
  background-color: $button-primary;
  color: $white;
  padding: 0.8em 2.5em;
  cursor: pointer;
  text-decoration: none;
  text-transform: uppercase;
  min-width: 120px;
  width: 100%;

  &:disabled {
    pointer-events: none;
    opacity: 0.6;
  }

  &.small {
    padding: 0.6em 1.2em;
    min-width: 60px;
    font-size: 0.8em;
  }
}

.button.active {
  background-color: $button-secondary;
}
